Members Set Admin Permissions
Authentication
AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.
Obtain via the authorization code flow with team-scoped permissions.
Grants access to team-wide administrative operations.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Request
This endpoint expects an object.
new_role
The new role of the member.
Variant:
team.AdminTier.team_admin
User is an administrator of the team - has all permissions.
user
Identity of user whose role will be set.
Variant:team.UserSelectorArg.team_member_id
team.UserSelectorArg.team_member_id
Response headers
X-Dropbox-Request-Id
A unique identifier for the request, useful for debugging and support.
Response
Successful response
role
The role after the change.
Variant:team.AdminTier.team_admin
team.AdminTier.team_admin
User is an administrator of the team - has all permissions.
team_member_id
The member ID of the user to which the change was applied.
Errors
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error